diff package @ 107:eeaaecda4acc

move to autoconf/automake/docbook
author carl
date Sun, 18 Dec 2005 09:50:25 -0800
parents
children 1c7677042b78
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/package	Sun Dec 18 09:50:25 2005 -0800
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+T=`grep AM_INIT_AUTOMAKE configure.in | cut -d'(' -f2`
+NAME=`echo $T | cut -d, -f1`
+VER=`echo $T | cut -d, -f2 | cut -d')' -f1`
+BALL=$NAME-$VER.tar.gz
+web=/home/httpd/html/510sg/$NAME
+distlog=/tmp/distcheck
+
+# make $BALL
+chown --recursive root:root *
+make -f *cvs
+./configure >/dev/null
+(cd xml; make; make distclean)
+cp -a html/*html $web
+make distcheck >$distlog 2>&1
+if [ $? -eq 0 ]; then
+    if [ -f $BALL ]; then
+        # expand locally to see the tarball
+        rm -rf junk
+        mkdir junk
+        cd junk
+            tar xfz ../$BALL
+            cd $NAME-$VER
+                ./configure >/dev/null
+                make >/dev/null
+                make install >/dev/null
+                if [ -f /etc/rc.d/init.d/$NAME ]; then
+                    /etc/rc.d/init.d/$NAME stop
+                fi
+                make chkconfig
+            cd ..
+        cd ..
+
+        # build rpm on target
+        target=host62
+        scp $BALL $target:/tmp
+        ssh $target "cd /tmp; rpmbuild -ta $BALL >/dev/null 2>&1"
+
+        # add packages to the web site
+        wp=$web/packages
+        wp4=$wp/centos4
+        rp=/usr/src/redhat
+        cp -a $BALL $wp
+        scp $target:$rp/SRPMS/$NAME-$VER*rpm $wp4
+        scp $target:$rp/RPMS/i386/$NAME-$VER*rpm $wp4
+        (cd $web; chown --recursive web:web *; ls -alR)
+        rpm -ql -p $wp4/$NAME-$VER*6.rpm
+    fi
+else
+    tail -10 $distlog
+fi
+chown --recursive carl:carl *